org.eclipse.emf.cdo.spi.server

## Class RepositoryActivityLog.Rolling

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>
      - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog
        - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Rolling

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation, Log
  Enclosing class:
    RepositoryActivityLog

      public static class RepositoryActivityLog.Rolling
      extends RepositoryActivityLog

  Since:
    4.7
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepositoryActivityLog.Rolling.Factory`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

      `RepositoryActivityLog.Rolling`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rolling(java.lang.String logFile, long logSize, boolean append)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `delegateChanged(IRepository oldRepository, IRepository newRepository)`
    `protected void` | `doActivate()`
    `protected void` | `doDeactivate()`
    `void` | `log(java.lang.String message)`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

      `commitFinished, commitStarted, delegateAboutToDeactivate, delegateActivated, formatSession, formatUser, formatView, getRepository, hookDelegate, sessionClosed, sessionOpened, setRepository, transactionClosed, transactionOpened, unhookDelegate, viewClosed, viewOpened`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.LifecycleHook

      `delegateAboutToActivate, delegateDeactivated, delegateEvent, getDelegate, hookInactiveDelegates, setDelegate`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### Rolling

          public Rolling(java.lang.String logFile,
                         long logSize,
                         boolean append)

  - ### Method Detail

    - #### log

          public void log(java.lang.String message)

    - #### delegateChanged

          protected void delegateChanged(IRepository oldRepository,
                                         IRepository newRepository)

      Overrides:
        `delegateChanged` in class `LifecycleHook<IRepository>`

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `LifecycleHook<IRepository>`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `LifecycleHook<IRepository>`
      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html